.*********************************************************
.* Some notes for editing this document:
.* It's not a bad idea to open the original user's guide
.* and compare the layout etc with this text file.
.* You generally do not need to edit the tags ( = commands
.* for the help compiler, beginning with ":" and ending
.* with "." 
.* A colon can be displayed by using the tag "&colon.", I
.* did this sometimes to draw a smiley. If you are unsure
.* about anything, please feel free to contact the author
.* at r.auberger@gmx.net with subject Mastermind/2.
.*********************************************************
:userdoc.
.*********************************************************
.* Title of the document 
.*********************************************************
:title.Mastermind/2 - Benutzerhandbuch
:docprof  toc=123456
ctrlarea=coverpage.
.*********************************************************
.* First page
.*********************************************************
:h1 id='PANEL_WELCOME' res=400.Willkommen bei Mastermind/2
:artwork align=center name='F:\Projekte\Mastermind\logo.bmp'.
Dieses Buch behandelt die folgenden Themen:
:ul.
:li.
:link reftype=hd refid='PANEL_RULES'.Regeln von Mastermind/2
:elink.
:li.
:link reftype=hd refid='PANEL_HOWTOPLAY'.Wie wird Mastermind/2 gespielt?
:elink.
:li.
:link reftype=hd refid='PANEL_MENUS'.Was machen die einzelnen Menpunkte?
:elink.
:li.
:link reftype=hd refid='PANEL_LICENSE'.Lizenz
:elink.
:li.
:link reftype=hd refid='PANEL_HOMEPAGE'.Homepage von Mastermind/2
:elink.
:eul.
:nt.In diesem Buch wird ausschlielich die Du-Form verwendet. Falls sich jemand dadurch
zu nahe getreten fhlt, bitte ich darum, die englische Version zu lesen (da gibt es ja
keinen Unterschied zwischen Du und Sie) oder alle 'Du' im Geiste durch 'Sie' zu ersetzen.
:p.Die Bilder in dieser Dokumentation sind alle von der englischen Version von
Mastermind/2 aufgenommen. Daher weichen die Beschriftungen in den Bildern und im Text
eventuell von einander ab.
:ent.

.*********************************************************
.* Rules of Mastermind 
.*********************************************************
:h1 id='PANEL_RULES' res=401.Regeln
:p.:hp2.Ziel des Spiels:
:ehp2.
:p.Das ist wirklich einfach - man mu nur die Farben raten, die der Gegner (in
diesem Fall ist das ja der Computer) ausgewhlt hat.
:p.:hp2.Wie erreicht man dieses Ziel:
:ehp2.
:p.Jedesmal wenn man eine Reihe von vier Farben gesteckt hat (und man glaubt,
da genau diese die Farben sind, die der Gegner gesteckt hat), teilt man ihm
dies mit. Nun vergleicht er seine Vorgabe mit den geratenen Farben und gibt
fr die nchsten Rateversuche Tips - ok, oder er sagt, da man die Farben
geraten hat. Fr jede Farbe, die an genau der gleichen Stelle wie in der zu
ratenden Kombination steckt, gibt es einen weien Signalpin. Fr jede Farbe, die
zwar in der zu ratenden Kombination vorkommt, die man aber an eine falsche
Stelle gesteckt hat, bekommt man einen schwarzen Signalpin.
.br
Die Signalpins stehen natrlich in keinem weiteren direkten Zusammenhang zu
den Farben. Es ist ja Deine Aufgabe, herauszufinden, welche der Farben vllig
falsch ist (die bekommt dann keinen Signalpin), welche zwar vorkommt aber an
der falschen Stelle steckt und welche absolut richtig ist.
:p.:hp2.Ein Beispiel gefllig? Hier ist eins&colon.:ehp2.
:p.Das sind die Farben, die Du raten sollst - Du wirst sie natrlich nicht 
zu sehen bekommen, bevor Du sie geraten hast, ok? Aber das hier ist ja auch 
ein :hp1.Beispiel :ehp1.
;-)
:p.:artwork  align=center name='F:\Projekte\Mastermind\guess.BMP'.
:p.Nun rtst Du folgendes:
:p.:artwork  align=center name='F:\Projekte\Mastermind\guessed.BMP'.
:p.Der Rote ist total falsch, ebenso der Grne. Trkis ist eine der Farben, die
Du erraten sollst, aber Du hast sie an die falsche Stelle gesteckt (schwarzer
Signalpin) und Rosa ist absolut richtig (weier Signalpin). Also wirst Du
folgende Hinweise bekommen:
:p.:artwork  align=center name='F:\Projekte\Mastermind\hints01.BMP'.
:p.Vielleicht hat das Spiel ja dann folgenden Verlauf genommen:
:p.:artwork  align=center name='F:\Projekte\Mastermind\game.BMP'.
:p.Das wrde heien, da Du die Farben im fnften Versuch erraten hast. Das
ist nicht allzu bel, aber es gibt noch mehr, auf das Du aufpassen solltest:
Du solltest die Farben nmlich auch in der krzest mglichen Zeit erraten.
:p.:artwork  align=center name='F:\Projekte\Mastermind\time.BMP'.
:p.Die zehn besten Spieler knnen ihren Namen in die Bestenliste eintragen.
Wenn zwei oder mehr Spieler die gleiche Anzahl an Versuchen bentigt haben,
kommt der mit der krzen Zeit auf den hheren Platz.
.*********************************************************
.* How to play Mastermind/2 
.*********************************************************
:h1 id='PANEL_HOWTOPLAY' res=402.Wie wird Mastermind/2 gespielt?
:p.:hp2.Wie sage ich dem Computer, welche Farbe wohin soll?:ehp2.
:p.Das ist einfach: zieh sie aus dem Feld "verfgbare Farben" mit der Maus
heraus und la sie ber der Stelle fallen, an der Du sie haben willst (im
Englischen nennt man das "drag and drop" = "ziehen und fallen lassen").
:p.:artwork  align=center name='F:\Projekte\Mastermind\availabl.BMP'.
:p.La sie ber einer der Markierungen fallen:
:p.:artwork  align=center name='F:\Projekte\Mastermind\marks.BMP'.
:p.Als kleine Hilfestellung - es ist nmlich nicht immer ganz einfach mit einem
runden Mauszeiger genau zu sagen, wo er hinzeigt - wird eine Markierung farblich
hervorgehoben, wenn man sie beim Fallenlassen treffen wrde. Im folgenden Beispiel
wurde Rot bereits fallengelassen und gerade im Moment befindet sich Blau
(=Mauszeiger) ber der dritten Markierung in der ersten Reihe:
:p.:artwork  align=center name='F:\Projekte\Mastermind\drop.BMP'.
:p.Nachdem man eine Farbe positioniert hat, kann man sie einfach ndern, in dem 
man eine andere Farbe an der gleichen Stelle fallen lt. Wenn man eine Farbe
in der aktuellen Reihe verschieben will, so braucht man sie nur innerhalb der
Reihe von der alten auf die neue Position verschieben (wieder mit drag and
drop).
:p.:hp2.Wie sage ich dem Computer, da ich eine Reihe fertig habe?:ehp2.
:p.Wenn Du vier Farben ausgewhlt hast und diese nun als Deinen nchsten Versuch
verwenden willst, drckst Du auf den Knopf '... Versuch' (wobei ... die
Nummer des Versuchs meint):
:p.:artwork  align=center name='F:\Projekte\Mastermind\button.BMP'.
:p.Das war's schon. Wenn Du gut genug warst, kannst Du Deinen Namen in der
:link reftype=hd refid='PANEL_MENUHIGHSCORE'.Bestenliste:elink. verewigen.
.*********************************************************
.* Help for the menus 
.*********************************************************
:h1 id='PANEL_MENUS' res=403.Mens
:p.Es gibt zwei Hauptmens mit den folgenden Menpunkten:
:ul.
:li.
:link reftype=hd refid='PANEL_MENUMASTERMIND'.Mastermind
:elink.
:ul.
:li.
:link reftype=hd refid='PANEL_MENUSTART'.Neues Spiel starten
:elink.
:li.
:link reftype=hd refid='PANEL_MENUPAUSE'.Pause
:elink.
:li.
:link reftype=hd refid='PANEL_MENUCANCEL'.Spiel abbrechen
:elink.
:li.
:link reftype=hd refid='PANEL_MENUHIGHSCORE'.Bestenliste ...
:elink.
:li.
:link reftype=hd refid='PANEL_MENUMULTIPLE'.Farben mehrfach verwenden
:elink.
:li.
:link reftype=hd refid='PANEL_MENULANGUAGE'.Sprache
:elink.
:li.
:link reftype=hd refid='PANEL_MENUPINS'.Auswhlen der Pins...
:elink.
:li.
:link reftype=hd refid='PANEL_MENUEXIT'.Mastermind beenden
:elink.
:eul.
:li.
:link reftype=hd refid='PANEL_MENUHELP'.Hilfe
:elink.
:ul.
:li.
:link reftype=hd refid='PANEL_MENUGENERALHELP'.Allgemeine Hilfe...
:elink.
:li.
:link reftype=hd refid='PANEL_MENURULES'.Spielregeln...
:elink.
:li.
:link reftype=hd refid='PANEL_MENUHOWTOPLAY'.Bedienung...
:elink.
:li.
:link reftype=hd refid='PANEL_MENULICENSE'.Lizenz...
:elink.
:li.
:link reftype=hd refid='PANEL_MENUABOUT'.ber...
:elink.
:eul.
:eul.
.*********************************************************
.* Menu "Mastermind/2" 
.*********************************************************
:h2 id='PANEL_MENUMASTERMIND' res=404.Men&colon. Mastermind
:p.In diesem Men kann man generelle Einstellungen oder eine Auswahl fr das
gerade laufende Spiel treffen:
:ul.
:li.
:link reftype=hd refid='PANEL_MENUSTART'.Neues Spiel starten
:elink.
:li.
:link reftype=hd refid='PANEL_MENUPAUSE'.Pause
:elink.
:li.
:link reftype=hd refid='PANEL_MENUCANCEL'.Spiel abbrechen
:elink.
:li.
:link reftype=hd refid='PANEL_MENUHIGHSCORE'.Bestenliste ...
:elink.
:li.
:link reftype=hd refid='PANEL_MENUMULTIPLE'.Farben mehrfach verwenden
:elink.
:li.
:link reftype=hd refid='PANEL_MENULANGUAGE'.Sprache
:elink.
:li.
:link reftype=hd refid='PANEL_MENUPINS'.Auswhlen der Pins...
:elink.
:li.
:link reftype=hd refid='PANEL_MENUEXIT'.Mastermind beenden
:elink.
:eul.
.*********************************************************
.* Submenu "Start new game" 
.*********************************************************
:h3 id='PANEL_MENUSTART' res=405.Menpunkt&colon. Neues Spiel starten
:p.Dieser Menpunkt ist immer auswhlbar. Damit lt sich ein neues Spiel
starten. Falls bereits eines luft wird das (nach Einholung Deiner Zustimmung)
abgebrochen.
.*********************************************************
.* Submenu "Pause game" 
.*********************************************************
:p.:h3 id='PANEL_MENUPAUSE' res=406.Menpunkt&colon. Pause
:p.Wenn ein Spiel gerade luft, kann man es damit unterbrechen. Alle geratenen
Farben und Signalpins werden verdeckt, solange das Spiel pausiert ist. Wenn
ein Spiel unterbrochen ist, ndert sich dieser Menpunkt zu :hp1.Weiter:ehp1..
:p.Ein unterbrochenes Spiel kann durch Auswhlen des Menpunktes
:hp1.Weiter :ehp1.
fortgesetzt werden. Alle geratenen Farben und Signalpins werden wieder
angezeigt. Der Menpunkt wechselt wieder zu Pause.
:p.Du kannst ein Spiel beliebig oft unterbrechen (ohne da dies einen Einflu
auf Deinen mglichen Eintrag in die Bestenliste htte).
:note.Ein anderer Weg, um ein Spiel zu unterbrechen oder wieder fortzusetzen,
ist das Drcken der Pause-Taste auf der Tastatur. Das hat exakt den gleichen
Effekt wie die Auswahl des Menpunktes.
.*********************************************************
.* Submenu "Cancel game" 
.*********************************************************
:h3 id='PANEL_MENUCANCEL' res=407.Menpunkt&colon. Spiel abbrechen
:p.Hast Du die Nase voll vom gerade laufenden Spiel? Du glaubst, Du wirst nie
die Farben Deines Gegners erraten? Ok, whle
:hp1.Spiel abbrechen :ehp1.
aus und das Spiel ist vorbei. Nun kannst Du sehen wie dicht Du an der Lsung
dran warst, denn der Computer zeigt Dir nun die Farben an, die Du httest
erraten sollen.
:note.Wenn Du ein Spiel abbrechen willst, kannst Du auch Esc auf der Tastatur
drcken, das bewirkt genau das gleiche, wie dieser Menpunkt.
.*********************************************************
.* Submenu "Highscore..." 
.*********************************************************
:h3 id='PANEL_MENUHIGHSCORE' res=408.Menpunkt&colon. Bestenliste...
:p.Falls es Dich interessiert, wie gut Du sein mut, um in die Ruhmeshalle zu
kommen, wirf mal einen Blick auf die :hp1.Bestenliste:ehp1..
:p.Die zehn besten Spieler drfen hier ihre Namen eintragen. Wenn zwei oder
mehr die gleiche Anzahl an Versuchen gebraucht haben, entscheidet die Zeit,
die sie dafr bentigt haben, wer weiter oben steht.
.*********************************************************
.* Submenu "Multiple colors" 
.*********************************************************
:h3 id='PANEL_MENUMULTIPLE' res=409.Menpunkt&colon. Farben mehrfach verwenden
:p.Fr alle, die es lieber etwas einfacher haben: nur diesen Menpunkt
deselektieren und schon kommt jede Farbe nur noch maximal einmal vor. Das ist
etwas einfacher, als wenn Farben mehrfach vorkommen.
:p.Wenn Du :hp1.Farben mehrfach verwenden:ehp1. abgeschaltet hast, kannst Du
eine Farbe auch nur einmal in jeder Zeile raten. Falls Du eine Farbe ein
zweites Mal in dieser Reihe fallen lt, wird der erste Pin dieser Farbe
automatisch wieder gelscht. Falls diese Erklrung zu konfus war, probier einfach
aus, was ich meine, indem Du folgendes tust:
:ol.
:li.deselektiere :hp1.Farben mehrfach verwenden:ehp1.
:li.starte ein neues Spiel
:li.ziehe z.B. den roten Pin aus dem Feld "verfgbare Farben" und la ihn in dem
Feld "Farben hier fallenlassen" fallen
:li.mach genau das gleiche nochmal, nur la dieses Mal den Pin an einer anderen
Stelle fallen
:li.der erste rote Pin verschwindet
:eol.
:p.Die Standardeinstellung ist :hp1.Farben mehrfach verwenden:ehp1. (aber wenn Du
es nderst, wird sich Mastermind/2 beim nchsten Programmstart daran erinnern).
Es gibt in der Bestenliste keinen Hinweis darauf, ob man mit mehrfachen oder 
mit einfachen Farben gespielt hat (vielleicht baue ich das mal in einer
zuknftigen Version ein, wenn berhaupt
:link reftype=hd refid='PANEL_LICENSE'.jemand dieses Spiel spielt:elink.).
.*********************************************************
.* Submenu "Language" 
.*********************************************************
:h3 id='PANEL_MENULANGUAGE' res=418.Menpunkt&colon. Sprache
:p.Nachdem Mastermind/2 gestartet wurde, schaut es nach verfgbaren Sprachmodulen
(die Du vorher von der :link reftype=hd refid='PANEL_HOMEPAGE'.Mastermind/2
Homepage:elink. heruntergeladen hast). In diesem Untermen werden alle Sprachen,
die gefunden werden konnten, angezeigt, so da Du die Auswahl hast, welche Du
gerne benutzen mchtest. Du kannst die verwendete Sprache whrend der Laufzeit
des Programms umstellen, ohne da Du dafr das Programm beenden und
neu starten mtest!
:p.Die Einstellung, welche Sprache verwendet werden soll (und alle anderen
Einstellungen in Mastermind/2) werden beim Verlassen des Programms abgespeichert
und beim nchsten Start automatisch wieder geladen.
:p.Nur zur Information: die Sprachmodule sind dynamisch ladbare Bibliotheken
(englisch: dynamic link libraries = DLL), die mmindxx.dll heien. Dabei steht
xx fr die Sprache, z.B. de = deutsch oder en = english (so schreibt sich englisch
auf englisch).
.*********************************************************
.* Submenu "Select pins to use" 
.*********************************************************
:h3 id='PANEL_MENUPINS' res=419.Menpunkt&colon. Auswhlen der Pins...
:p.Wenn Du die Standardfarben nicht so magst, hast Du nun die Mglichkeit,
andere auszuwhlen. Whle dazu den Menpunkt :hp1.Auswhlen der Pins...:ehp1. 
und der folgende Dialog erscheint:
:p.:artwork  align=center name='F:\Projekte\Mastermind\selctpin.BMP'.

:p.Nun whle Deine favorisierten :hp1.sechs:ehp1. Pins aus. Wenn Du weniger als sechs
whlst, kannst Du den OK-Knopf nicht mehr drcken, wenn Du sechs Pins gewhlt hast,
kannst Du keine weiteren Pins mehr auswhlen. Um nun einen anderen Pin auszuwhlen,
mut Du zuerst mindestens einen der ausgewhlten Pins wieder deselektieren. Ich hoffe,
da ich damit besonders den Leuten helfen konnte, die Probleme beim erkennen von
Farben haben.
:p.Wie alle anderen Einstellungen auch, wird auch der von Dir ausgewhlte Pinsatz beim
beenden gespeichert und beim nchsten Programmstart wieder geladen. Das macht es sehr
einfach fr Dich: Du whlst nur einmal Deine Lieblingspins aus und hast sie automatisch
immer eingestellt (auer Du nderst diese Auswahl einmal).
:p.:note.Du :hp1.kannst:ehp1. den verwendeten Pinsatz zwar ndern whrend ein Spiel
luft, aber beachte, da die Zeit solange weiterluft bis Du explizit auf Pause schaltest.
Auerdem knnen sich durch das Auswhlen anderer Pins die Farben "verschieben". Dies kann
sehr verwirrend sein, wie man aus folgenden Bildern ersehen kann&colon.
:p.:artwork runin align=left name='F:\projekte\mastermind\chngco00.bmp'.
:artwork runin align=right name='F:\projekte\mastermind\chngco01.bmp'.
:artwork runin align=right name='F:\projekte\mastermind\chngco04.bmp'.
:p.Nun schalten wir den roten und gelben Pin aus und whlen dafr dunkelrot und
schwarz&colon.
:p.:artwork runin align=left name='F:\projekte\mastermind\chngco02.bmp'.
:artwork runin align=right name='F:\projekte\mastermind\chngco03.bmp'.
:artwork runin align=right name='F:\projekte\mastermind\chngco05.bmp'.
.*********************************************************
.* Submenu "Exit Mastermind" 
.*********************************************************
:h3 id='PANEL_MENUEXIT' res=410.Menpunkt&colon. Mastermind beenden
:p.Ok, das ist ziemlich schwer. Daher mut Du es schon selber raten &colon.-)
.*********************************************************
.* Menu "Help" 
.*********************************************************
:h2 id='PANEL_MENUHELP' res=411.Men&colon. Hilfe
:p.Falls Du nach dem Start von Mastermind/2 Hilfe bentigst, kannst Du zwischen folgenden
Menpunkten whlen:
:ul.
:li.
:link reftype=hd refid='PANEL_MENUGENERALHELP'.Allgemeine Hilfe...
:elink.
:li.
:link reftype=hd refid='PANEL_MENURULES'.Spielregeln...
:elink.
:li.
:link reftype=hd res=415.Bedienung...
:elink.
:li.
:link reftype=hd refid='PANEL_MENULICENSE'.Lizenz...
:elink.
:li.
:link reftype=hd refid='PANEL_MENUABOUT'.ber...
:elink.
:eul.
.*********************************************************
.* Submenu "General Help" 
.*********************************************************
:h3 id='PANEL_MENUGENERALHELP' res=417.Menpunkt&colon. Allgemeine Hilfe...
:p.Falls Du nicht sicher bist, was Du tun sollst oder welche Hilfeseite die richtige
fr Dein Problem ist, rufe einfach :link reftype=hd refid='PANEL_WELCOME'.Allgemeine
Hilfe:elink. auf. Diese Seite wird auch angezeigt, wenn Du F1 drckst whrend kein
Menpunkt markiert ist.
.*********************************************************
.* Submenu "Rules" 
.*********************************************************
:h3 id='PANEL_MENURULES' res=412.Menpunkt&colon. Spielregeln...
:p.Dieser Menpunkt ffnet Dir das Hilfefenster mit den allgemeinen
:link reftype=hd refid='PANEL_RULES'.Spielregeln von Mastermind/2:elink..
.*********************************************************
.* Submenu "How to play" 
.*********************************************************
:h3 id='PANEL_MENUHOWTOPLAY' res=415.Menpunkt&colon. Bedienung...
:p.Wenn Du diesen Menpunkt auswhlst, bekommst Du die Hilfe zur 
:link reftype=hd res=402.Bedienung des Spiels:elink. angezeigt (z.B. wie whle ich
Farben aus etc).
.*********************************************************
.* Submenu "License" 
.*********************************************************
:h3 id='PANEL_MENULICENSE'.Menpunkt&colon. Lizenz...
:p.Hiermit kannst Du die :link reftype=hd res=414.Lizenzinformationen zu 
Mastermind/2:elink. abrufen.
.*********************************************************
.* Submenu "About" 
.*********************************************************
:h3 id='PANEL_MENUABOUT' res=413.Menpunkt&colon. ber...
:p.Hast Du Dich schon immer gefragt, welcher verrckte Kerl dieses grandiose Spiel
geschrieben hat? &colon.-) Whle einfach 
:hp1.Hilfe / ber :ehp1. aus und Du wirst es erfahren (Du wirst sogar noch viel mehr
erfahren, wenn Du
:link reftype=hd refid='PANEL_LICENSE'.hier klickst:elink.)!
.*********************************************************
.* License-information for Mastermind/2 
.*********************************************************
:h1 id='PANEL_LICENSE' res=414.Lizenz
:p.Dieses Programm ist Postcardware. Das heit: wenn Du das Spiel magst und spielst,
wirst Du darum gebeten, eine Postkarte an den Autor zu schicken (eigentlich bist Du dazu 
verpflichtet, aber ich wollte es mal nicht so hart ausdrcken). Dadurch erhalte ich
einen berblick, wieviele Leute es berhaupt benutzen und ob es sich lohnt, weitere
Versionen zu machen. Die knnten dann Sound, Echtzeit-3D-Animationen, Untersttzung
fr die Force-Feedback-Joysticks etc enthalten &colon.-)
:p.Auerdem sehe ich dann mal, ob es auch ein paar OS/2ler gibt, die gerne spielen 
&colon.-)
Vielleicht wird es mich ja sogar dazu veranlassen, ein paar weitere Programme (fr OS/2
natrlich) zu entwickeln. Du darfst dieses Programm frei verteilen und bist nicht
berechtigt, dafr Geld zu verlangen (ausgenommen der Kosten, die Du fr die Verteilung
hattest). Ich wrde mich sehr freuen, wenn Du das Programm mit auf CD-Sammlungen tust,
allerdings solltest Du mich vorher bitte darber informieren. Fr Deine
:hp1.:color fc='Red' bc='default'.kostenlose Lizenz:color fc='Default' bc='Default'.:ehp1.
schreib an:
:p.Ren Auberger
.br
Breitensteiner Str. 11
.br
D-71032 Bblingen 
.br
Deutschland
:p.Falls Du statt dessen eMail verwenden mchstest (allerdings nicht fr die
Registrierung, ich htte gerne Postkarten aus aller Welt): r.auberger@gmx.net, 
Subject: Mastermind/2.
.*********************************************************
.* Homepage of Mastermind/2 
.*********************************************************
:h1 id='PANEL_HOMEPAGE' res=420.Mastermind/2 Homepage
:p.:hp2.http&colon.//www.geocities.com/SiliconValley/Port/4718/:ehp2.
:p.Dies ist die URL der Homepage von Mastermind/2 (bitte beachten, da sie Grobuchstaben
enthlt, das ist wichtig!). Diese Seite enthlt:
:ul.
:li.neue Versionen von Mastermind/2
:li.alle zur Zeit verfgbaren Sprachmodule
:li.alles, was Du bentigst, wenn Du selber Mastermind/2 in Deine Muttersprache
bersetzten willst
:li.zumindest eine alte Version von Mastermind/2 (wofr das auch immer gut sein kann)
:li.ein paar Links zu anderen Internetseiten fr alle, die selber Spiele schreiben
wollen oder die gerne spielen (dazu zhle ich Dich einfach mal, da Du ja Mastermind/2
heruntergeladen hast)
:li.ein Gstebuch: hier kannst Du Vorschlge machen oder dem Autor oder den anderen
Benutzern etwas mitteilen (fr einen Hinweis auf einen Fehler bitte nicht das Gstebuch
benutzen, sondern eine eMail direkt an r.auberger@gmx.net mit dem Subject
:hp1.Mastermind/2:ehp1. schreiben).
:eul.
.* You may include a note for all who do not speak english that this webpage is only
.* in english available and I do not think that I will provide another language version
:p.Diese Seite ist nur in englisch verfgbar (und wird sie wohl auch immer nur sein).
:euserdoc.
